<?php
/******************************************************************************
* purple_cpg_bridge constants file                                            *
*******************************************************************************
*                                                                             *
*   Written by mygoggie                                                       *
*   $Id: purple_cpg_bridge_constants.php                                      *
*   $Source: www.purplescroll.com/ v$                                         *
*   $Revision: 1.1.0 $                                                        *
*   $Date: 2011-02-10 $                                                       *
*   $Author: mygoggie $                                                       *
*                                                                             *
* @copyright Copyright  2007-2010, purplescroll.com, All rights reserved.    *
*                                                                             *
* This file is part of the purple_cpg_bridge plugin for e107                  *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is free software: you can             *
* redistribute it and/or modify it under the terms of the GNU General         *
* Public License as published by the Free Software Foundation, either         *
* version 3 of the License, or (at your option) any later version.            *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is distributed in the hope that it    *
* will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* along with the purple_cpg_bridge plugin for e107.                           *
*                                                                             *
* If not, see <http://www.gnu.org/licenses/>.                                 *
*                                                                             *
******************************************************************************/

// Protect the file from direct access
if(!defined("e107_INIT")){ exit; }

// Define constants
define('PURPLE_CPG_BRIDGE_CONSTANTS_FLAG',TRUE);                                          // Set flag that purple_cpg_bridge constants have been defined
define('PURPLE_HANDLER_CLASS_FLAG',TRUE);                                                 // Set flag that indicates if the purple_class handler must be loaded for this plugin

// Define paths we will need
define('PURPLE_CPG_BRIDGE_ABS_PATH',SITEURLBASE.e_PLUGIN_ABS.'purple_cpg_bridge/');       // Absolute location of purple_cpg_bridge plugin
define('PURPLE_CPG_BRIDGE_CONFIG_PATH',e_PLUGIN.'purple_cpg_bridge/config/');             // Location of purple_cpg_bridge config files
define('PURPLE_CPG_BRIDGE_DOCS_PATH',e_PLUGIN.'purple_cpg_bridge/documentation/');        // Location of purple_cpg_bridge help files
define('PURPLE_CPG_BRIDGE_FILES_PATH',e_PLUGIN.'purple_cpg_bridge/files/');               // Location of purple_cpg_bridge help files
define('PURPLE_CPG_BRIDGE_HANDLER_PATH',e_PLUGIN.'purple_cpg_bridge/handlers/');          // Location of purple_cpg_bridge handlers
define('PURPLE_CPG_BRIDGE_IMAGES_PATH',e_PLUGIN.'purple_cpg_bridge/images/');             // Location of purple_cpg_bridge images
define('PURPLE_CPG_BRIDGE_LANGUAGES_PATH',e_PLUGIN.'purple_cpg_bridge/languages/');       // Location of purple_cpg_bridge language files
define('PURPLE_CPG_BRIDGE_PATH',e_PLUGIN.'purple_cpg_bridge/');                           // Location of purple_cpg_bridge plugin
define('PURPLE_CPG_BRIDGE_SITETHEME', e_THEME.$pref['sitetheme'].'/');                    // Location of the site's theme
define('PURPLE_CPG_BRIDGE_SRC_PATH',e_PLUGIN.'purple_cpg_bridge/src/');                   // Location of purple_cpg_bridge src files
define('PURPLE_CPG_BRIDGE_SRC_ABS_PATH',e_PLUGIN_ABS.'purple_cpg_bridge/src/');           // Absolute location of purple_cpg_bridge src files

// Define files we will need
define('PURPLE_CPG_BRIDGE_DOCS_FILE',PURPLE_CPG_BRIDGE_DOCS_PATH.'purple_cpg_bridge_documentation_readme.txt');   // The readme document file
define('PURPLE_CPG_FILE_TO_FIND','bridgemgr.php');                                        // The specific Coppermine file to find
?>