<?php
/******************************************************************************
* purple_cpg_bridge admin language file                                       *
*******************************************************************************
*                                                                             *
*   Written by mygoggie                                                       *
*   $Id: lan_admin_purple_cpg_bridge_English.php                              *
*   $Source: www.purplescroll.com/ v$                                         *
*   $Revision: 1.1.0 $                                                        *
*   $Date: 2011-02-10 $                                                       *
*   $Author: mygoggie $                                                       *
*                                                                             *
* @copyright Copyright  2007-2010, purplescroll.com, All rights reserved.    *
*                                                                             *
* This file is part of the purple_cpg_bridge plugin for e107                  *
*                                                                             *
* The purple_cpg_bridge handler for e107 is free software: you can            *
* redistribute it and/or modify it under the terms of the GNU General         *
* Public License as published by the Free Software Foundation, either         *
* version 3 of the License, or (at your option) any later version.            *
*                                                                             *
* The purple_cpg_bridge plugin for e107 is distributed in the hope that it    *
* will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty *
* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                                *
*                                                                             *
* You should have received a copy of the GNU General Public License           *
* along with the purple_cpg_bridge plugin for e107.                           *
*                                                                             *
* If not, see <http://www.gnu.org/licenses/>.                                 *
*                                                                             *
******************************************************************************/

// Set flag that purple_cpg_bridge language constants have been loaded
define("LAN_AD_PURPLE_CPG_BRIDGE_FLAG",TRUE);

define("LAN_AD_PURPLE_CPG_BRIDGE_NAME","purple_cpg_bridge");


// installation messages
define("LAN_AD_PURPLE_CPG_BRIDGE_INSTALL01", "purple_cpg_bridge is a plugin that installs the e107 to coppermine 1.5.12+ bridge. ");
define("LAN_AD_PURPLE_CPG_BRIDGE_INSTALL02", "Configure");
define("LAN_AD_PURPLE_CPG_BRIDGE_INSTALL03", "Installation of the plugin&nbsp;");
define("LAN_AD_PURPLE_CPG_BRIDGE_INSTALL04", "&nbsp;version&nbsp;");
define("LAN_AD_PURPLE_CPG_BRIDGE_INSTALL05", "&nbsp;was successful!<br /><br />");


// handler purple_cpg_bridge_class
define("LAN_AD_PURPLE_CPG_BRIDGE_HANDLER_CLASS_A01", "The file '");
define("LAN_AD_PURPLE_CPG_BRIDGE_HANDLER_CLASS_A02", "The directory '");
define("LAN_AD_PURPLE_CPG_BRIDGE_HANDLER_CLASS_A03", "' cannot be read.");
define("LAN_AD_PURPLE_CPG_BRIDGE_HANDLER_CLASS_A04", "' does not exist.");
define("LAN_AD_PURPLE_CPG_BRIDGE_HANDLER_CLASS_A05", "<br /><br />Please check your path again.");
define("LAN_AD_PURPLE_CPG_BRIDGE_HANDLER_CLASS_A06", "' cannot be copied to the directory '");
define("LAN_AD_PURPLE_CPG_BRIDGE_HANDLER_CLASS_A07", "'. Check your directory permissions and ownership settings.");


// module admin_menu.php
define("LAN_AD_PURPLE_CPG_BRIDGE_MENU_00", "Menu of Options");
define("LAN_AD_PURPLE_CPG_BRIDGE_MENU_01", "Introduction");
define("LAN_AD_PURPLE_CPG_BRIDGE_MENU_02", "Install the bridge files");
define("LAN_AD_PURPLE_CPG_BRIDGE_MENU_03", "Userclass configuration");
define("LAN_AD_PURPLE_CPG_BRIDGE_MENU_20", "Check for updates");
define("LAN_AD_PURPLE_CPG_BRIDGE_MENU_30", "Read me");


// module admin_purple_cpg_bridge_intro.php
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_01", "Introduction");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_02", "");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_03", "purple_cpg_bridge is a tool which allows the automatic login of an e107 user to a Coppermine gallery.&nbsp;&nbsp;The bridge allows specific user control in Coppermine by the e107 Administrator(s).&nbsp;&nbsp;e107 User access control to Coppermine is done by assigning users to specific e107 userclasses.");

define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_10", "The purple_cpg_bridge plugin uses Fancybox, cURL and the jQuery library.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_12", ".");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_14", "The purple_cpg_bridge plugin was written by mygoggie from&nbsp");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_15", "The Purple Scroll");

define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_20", "Features:");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_21", "Bridging between e107 and Coppermine version 1.5.12+.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_22", "Administration of Coppermine by e107 administrator(s).");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_23", "Registered e107 users are default Coppermine users.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_24", "Guest e107 users are guest Coppermine users.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_25", "Automatically create a new default e107 userclass for the CPG administrators. This userclass is by default named 'coppermine_admins.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_26", "Automatically create a new default e107 userclass for the CPG users. This userclass is by default named 'coppermine_users'.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_27", "Automatically allocate users and main administrators to these userclasses.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_28", "Allows for these userclasses to be changed in the purple_cpg_bridge dashboard.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_29", "Automatically maps the Coppermine gallery 'User galleries' to the e107 userclass for CPG users.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_30", "Automatically links Coppermine 'Home' menu item to e107 'Home'.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_31", "Automatically creates new Coppermine menu item to point to the e107 'Forum'.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_32", "Will automatically find the CPG installation and copy the required files.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_33", "Automatically create a new e107 sitelink named 'Gallery' that links to CPG.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_34", "Currently the plugin ONLY uses cookies to bridge. Sessions will be a feature in a future release.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_35", "Adds a clean e107 plugin dashboard to configure the plugin.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_36", "Secure usage designed into the plugin.");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_37", "Checking for updates of the plugin.");

define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_50", "How to use:");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_51", "Simply install the bridge files and use Coppermine!");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_52", "So grab a beer or some coffee (or tea), and let's start the installation process!");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_55", "The bridge files are installed.  Grab a beer (or tea) and enjoy Coppermine!");

define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_60", "No, I do not want to install the bridge files");
define("LAN_AD_PURPLE_CPG_BRIDGE_INTRO_61", "Yes, let&#39;s install the bridge files!");


// module admin_purple_cpg_bridge_install.php
define("LAN_AD_PURPLE_CPG_BRIDGE_300", "Coppermine location");
define("LAN_AD_PURPLE_CPG_BRIDGE_301", "<p>In this section we will specifiy exactly where Coppermine has been installed.  Currently the bridge can only accommodate a setup where both e107 and Coppermine are installed in the same domain (site).  The installation of either can be in sub-domains or sub-directories of the main domain root directory (normally public_html).</p><p>The plugin has tried to find the location of your Coppermine installation relative to the domain root directory.  Please confirm or alter the path to you Coppermine installation directory in the section below.</p><p>The path MUST be relative to your domain root (where the www.yoursite.com files are installed).");
define("LAN_AD_PURPLE_CPG_BRIDGE_302", "Coppermine directory detail");

define("LAN_AD_PURPLE_CPG_BRIDGE_310", "Absolute path to Coppermine files");

define("LAN_AD_PURPLE_CPG_BRIDGE_320", "Path not found. Please enter manually");

define("LAN_AD_PURPLE_CPG_BRIDGE_390", "Next >");

// Info constants that explain options for bridge installation module
define("LAN_AD_PURPLE_CPG_BRIDGE_310_INFO", "You need to enter the absolute path from the host root (normally public_html) to the installation directory of Coppermine Photo Gallery.");


// module admin_purple_cpg_bridge_userclass.php
define("LAN_AD_PURPLE_CPG_BRIDGE_400", "Userclass configuration");
define("LAN_AD_PURPLE_CPG_BRIDGE_401","<p>In this section we will specify the two userclasses that will control the access of the Coppermine users.  It is important to remember that all registered users will automatically be allocated to the userclass for normal Coppermine users.</p><p>If you do not want specific users to be able to use Coppermine, you will have to manually remove them from the userclass.</p><p>You can always manually add additional userclasses to control user access to Coppermine");
define("LAN_AD_PURPLE_CPG_BRIDGE_402","e107 userclass detail");

define("LAN_AD_PURPLE_CPG_BRIDGE_410", "Coppermine users");
define("LAN_AD_PURPLE_CPG_BRIDGE_411", "Coppermine administrators");
define("LAN_AD_PURPLE_CPG_BRIDGE_414", "-- Select userclass first --");
define("LAN_AD_PURPLE_CPG_BRIDGE_415", "-- No users allocated to this userclass --");
define("LAN_AD_PURPLE_CPG_BRIDGE_416", "-- Select user --");
define("LAN_AD_PURPLE_CPG_BRIDGE_417", "A userclass has not been defined for the site \'");
define("LAN_AD_PURPLE_CPG_BRIDGE_418", "\'. You cannot continue!  Please specify a userclass for the site in the \'Site configuration\' section.");

define("LAN_AD_PURPLE_CPG_BRIDGE_490", "Finish >");
define("LAN_AD_PURPLE_CPG_BRIDGE_491", "Submit");


// Info constants that explain options for userclass module
define("LAN_AD_PURPLE_CPG_BRIDGE_410_INFO", "The userclass that the Coppermine users belongs to.  Please note that all e107 users will automatically be allocated to this userclass when Submit is clicked.");
define("LAN_AD_PURPLE_CPG_BRIDGE_411_INFO", "The userclass that the Coppermine administrators belongs to.  Please note that all e107 main administrators will automatically be allocated to this userclass when Submit is clicked.");


// module admin_updates.php
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_01", "Check for updates");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_02", "<p class=&#39;spacer&#39;>&nbsp;</p>");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_03","<p>This section is used to check if any updates are available for this plugin (purple_cpg_bridge).</p>");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_04","Please click on the button to contact the Purple Scroll server and check if a newer version is available.");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_05","Check for updates");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_06","<p>Please wait while the Purple Scroll server is contacted to check if a newer version is available.</p>");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_10", "The installed version &#39; ");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_11", " &#39; of the plugin is the latest version.");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_20", "A new version of the plugin is available.");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_21", "Current version: ");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_22", "New version: ");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_23", "Released on: ");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_24", "Author: ");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_30", "For more details about the plugin click ");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_31", "To download the latest version click ");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_32", "here.");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_50", "The file &#39;");
define("LAN_AD_PURPLE_CPG_BRIDGE_UPDATES_51", " &#39; as specified in the file &#39;e_updates.php&#39; cannot be downloaded.  Please check your connection to the server.");


// module admin_readme.php
define("LAN_AD_PURPLE_CPG_BRIDGE_README_01", "Read Me");


// admin - general
define("LAN_AD_PURPLE_CPG_BRIDGE_500", "Reset the form");
define("LAN_AD_PURPLE_CPG_BRIDGE_501", "Are you sure you want to reset all the values to the default values?");
define("LAN_AD_PURPLE_CPG_BRIDGE_502", "Apply your changes");
define("LAN_AD_PURPLE_CPG_BRIDGE_503", "Apply new site details");

define("LAN_AD_PURPLE_CPG_BRIDGE_510", "Your settings have been saved.");
define("LAN_AD_PURPLE_CPG_BRIDGE_511", "Values have been reset to the defaults.");

define("LAN_AD_PURPLE_CPG_BRIDGE_530", "CONFIGURATION");

define("LAN_AD_PURPLE_CPG_BRIDGE_YES", "Yes");
define("LAN_AD_PURPLE_CPG_BRIDGE_NO", "No");

define("LAN_AD_PURPLE_CPG_BRIDGE_HELP", "Help");

define("LAN_AD_PURPLE_CPG_BRIDGE_REQUIRED", "(Required field)");

define("LAN_AD_PURPLE_CPG_BRIDGE_SURF", "Click to surf to the site");

define("LAN_AD_PURPLE_CPG_BRIDGE_SITELINK", "Gallery");

?>